define(["controllers/InterruptController", "properties/App.Settings"], function(InterruptController, Settings) {
	function RFIDBasedInterruptsController(){

		var self = this;

		// Initialize
		self.initialize = function(options){
			var dfd = $.Deferred();
				
			setTimeout(function(){
				logger.warning("RFID Based Interrupt Controller not implemented.");
				dfd.resolve();
			}, 50);

			return dfd;
		};

		self.start = function()
		{
			var dfd = $.Deferred();

			setTimeout(function(){
				logger.warning("RFID Based Interrupt Controller not implemented.");
				dfd.resolve();
			}, 50);

			return dfd;
		}
		
		self.stop = function()
		{
			var dfd = $.Deferred();

			setTimeout(function(){
				logger.warning("RFID Based Interrupt Controller not implemented.");
				dfd.resolve();
			}, 50);

			return dfd;
		}
	}
	
	return new RFIDBasedInterruptsController();
}); 