define([], function() {
	function UserMessageController() {
		var self = this;

		var _propertyChangedHandlers = [];

		self.addEventListener = function(callback) {
			_propertyChangedHandlers.push(callback);
		};

		self.postMessage = function(msg) {
			notifyConsumers(msg);
		};
		function notifyConsumers(event, data) {

			$(_propertyChangedHandlers).each(function(i, handler) {
				handler(event, data);
			});
		}

	}

	return new UserMessageController();
});
