define(function() {
	function ZoneViewModel(zoneModel, xScalar, yScalar) {
		var self = this;		
		self.id = zoneModel.id;
		self.x = Math.floor(zoneModel.x * xScalar);
		self.y = Math.floor(zoneModel.y * yScalar);
		self.width = Math.floor(zoneModel.width * xScalar);
		self.height = Math.floor(zoneModel.height * yScalar);
		
		// copy all properties so they are available
		for (var property in zoneModel) {

			if (property != 'x' & property != 'y' & property != 'width' & property != 'height')
				self[property] = zoneModel[property];
		}
	}

	return ZoneViewModel;
});
