define(["models/PlaylistMediaAssetActionType"], function(PlaylistMediaAssetActionType) {
	function PlaylistMediaAssetActionModel(data) {
		var self = this;
		self.externalId = data.id;
		self.type = null;
		self.url = data.url;
		self.filename = data.filename;
		self.data = data.data;
		
		switch (data.type)
		{
			case "CallUrl":
				self.type = PlaylistMediaAssetActionType.CALL_URL;
				break;
			case "WriteDataToFile":
				self.type = PlaylistMediaAssetActionType.WRITE_DATA_TO_FILE;
				break;
		}
	}

	return PlaylistMediaAssetActionModel;
});
