define(["properties/App.Properties"], function(Properties) {
	/*
		Client Report model - Provides a model for the client part of the system report
		-------------------------------------------------------------------------

	*/
	function SystemReport_ClientModel() {
		var self = this;

		// defaults
		self.version = Properties.appVersion.toString();

		//
		// Generates the report. Only has to resolve itself as the only thing that
		// matters is the appVersion and this is already defined.
		//
		self.generate = function() {
			var dfd = $.Deferred();
			
			setTimeout(function() {
				logger.info("Finished loading Client info");
				dfd.resolve();
			}, 100);

			return dfd;
		};
	}

	return SystemReport_ClientModel;
});
