define(function() {
    function TokenModel(token) {
        var self = this;

        // Parse token
        try {
            self.token = JSON.parse(atob(token.split('.')[1]));
        }
        catch (error) {
            logger.error('Error parsing token');
            self.token = null;
        }

        self.hasClaim = function(claimToFind) {
            if (self.token == null || Object.keys(self.token).length === 0 ) {
                return false;
            }

            var matchingClaim = Object.keys(self.token).find(function(claim) {
                return claim === claimToFind;
            });

            return matchingClaim != null;
        };
    }
    return TokenModel;
});