define(["system/io/FileSystem", "properties/App.Settings"], function(FileSystem, Settings) {
	function PlayUrlHelper() {
		var self = this;

		self.getMediaAssetPlayUrl = function(mediaAsset) {
			var dfd = $.Deferred();
			dfd.resolve('./content/' + mediaAsset.localFileName);
			return dfd;
		};

		self.getFileUrlForVirtualPath = function(physicalPath) {
			logger.debug('Physical Path: ' + physicalPath); 
			var virtualPath = physicalPath.replace('file://internal/', './content/');
			// make this path relative to widget index page
			var virtualPathParts = virtualPath.split('/');
			virtualPathParts.splice(1, 3);
			var relativePath = virtualPathParts.join('/');
			logger.debug('Virual Path: ' + relativePath);
            return $.Deferred().resolve(relativePath);
        };
	}

	var helper = new PlayUrlHelper();
	return helper;
}); 