define(["models/ZoneModel"], function(ZoneModel) {
	function LayoutModel(data) {
		var self = this;
		self.externalId = data.id;
		self.name = data.name;
		self.isDeployed = data.is_deployed;
		self.width = data.width;
		self.height = data.height;
		self.backgroundColor = data.background_color;
		self.backgroundAssetId = data.background_asset_id;
		self.includeInProofOfPlay = data.include_in_proof_of_play;

		self.backgroundAsset = null;
		self.zones = [];

		$(data.zones).each(function(index, value) {
			var zone = new ZoneModel(value);
			self.zones.push(zone);
		});
	}

	return LayoutModel;
});
