define(function() {
	function ObjectProcessingQueueModel(objects) {
		var self = this;

		if (objects != null & objects != undefined)
			self.items = objects;
		else
			self.items = [];
			
		self.processedItems = [];
		self.failedItems = [];

		self.shift = function() {
			return self.items.shift();
		};
		
		self.push=function(item){
			self.items.push(item);
		};

		self.currentItem = function() {
			if (self.items.length == 0)
				return null;
			else
				return self.items[0];
		};
	}

	return ObjectProcessingQueueModel;
});
