define(function() {
	function ScreenCaptureLoggingModel(data) {
		var self = this;

		if (data != null && data != undefined) {
			self.on = data.on;
			self.frequency = data.frequency;
			self.screenshotAtNextContentCheck = data.screenshot_at_next_content_check;
			logger.info("SCREEN CAPTURE SETTINGS: " + data.on + ", " + data.frequency);
		} else {
			logger.info("SCREEN CAPTURE IS NOT ENABLED: " + JSON.stringify(data));
			self.on = false;
			self.frequency = 60;
			self.screenshotAtNextContentCheck = false;
		}

	}

	return ScreenCaptureLoggingModel;

});