define(["system/DateTime"],function(DateTime) {
	function ScreenControlPlanModel(data) {
		var self = this;
		self.onTime = data.on;
		self.offTime = data.off;
		self.days = data.days;		
		
		self.isActiveOnDate = function(dt){
			var isActive = false;
			
			var dayNumber = dt.getDay();
			switch(dayNumber) {
				case 0:
					// Sunday
					isActive = ((self.days & 1) == 1);
					break;
				case 1:
					// Monday
					isActive = ((self.days & 2) == 2);
					break;
				case 2:
					// Tuesday
					isActive = ((self.days & 4) == 4);
					break;
				case 3:
					// Wednesday
					isActive = ((self.days & 8) == 8);
					break;
				case 4:
					// Thursday
					isActive = ((self.days & 16) == 16);
					break;
				case 5:
					// Friday
					isActive = ((self.days & 32) == 32);
					break;
				case 6:
					// Saturday
					isActive = ((self.days & 64) == 64);
					break;
			}

			return isActive;
		};
	}

	return ScreenControlPlanModel;
});
