define(["models/WebBasedInterruptMessageDataModel"], function(WebBasedInterruptMessageDataModel) {
	/**
	 * Web-Based Interrupt Message Model 
	 * @param {[type]} message [description]
	 */
	function WebBasedInterruptMessageModel(message) {
		var self = this;

		self.id = message.id;
		self.type = message.type;
		self.data = new WebBasedInterruptMessageDataModel(message.data);
		self.additionalData = message.data.additionalData;
	}

	return WebBasedInterruptMessageModel;
});