define([], function() {
	function Directory() {
		var self = this;
		
		self.listFiles = function(path) {
				var dfd = $.Deferred();
				
				var options = {};
				options.path = path;
				 
				new Storage().listFiles(
					// Success
					function(result) {
						dfd.resolve(result.files);
					},
					// Error
					function(error) {
						logger.error(error.errorText);
						dfd.resolve([]);
					},
					options
				);
	
				return dfd;
		};

		self.exists = function(path) {
				var dfd = $.Deferred();
				
				var options = {};
				options.path = path;
				 
				new Storage().exists(
					// Success
					function(success) {
						dfd.resolve(success.exists);
					},
					// Error
					function(error) {
						logger.error(error.errorText);
						dfd.resolve(false);
					},
					options
				);
	
				return dfd;
		};
		
		self.deleteDirectory = function(path) 
		{
			var dfd = $.Deferred();
				
			var options = {};
			options.file = path;
			options.recursive = true;
			
			logger.debug('Attempting to remove directory at: ' + path);
			
			new Storage().removeFile(
				// Success
				function(success) {
					logger.debug("Directory " + path + " Deleted Successfully");
					dfd.resolve();
				},
				// Error
				function(error) {
					logger.error("Error deleting directory " + path + ": " + error.errorText);
					dfd.reject();
				},
				options
			);

			return dfd;
		};

		self.createDirectory = function(path) {
			if(path == "")
			{
				logger.debug("No directory to create");
				return true;
			}else {
			
				var dfd = $.Deferred();
				
				var options = {};
				options.path = path;
				 
				new Storage().mkdir(
					// Success
					function(success) {
						logger.debug("Directory Created");
						dfd.resolve();
					},
					// Error
					function(error) {
						logger.debug("Failed to create dir: " + path);
						logger.error(error.errorText);
						dfd.reject();
					},
					options
				);
	
				return dfd;
			}
		};

		self.
		delete         =
		function(path) {
			return false;
		};

		self.getFiles = function(path) {

		};
	}

	return new Directory();
});
